### Function

# Camel cipher_certinfo_set_property

since: 3.22

#### Declaration [src]

    void
    camel_cipher_certinfo_set_property (
      CamelCipherCertInfo* cert_info,
      const gchar* name,
      gpointer value,
      GDestroyNotify value_free,
      CamelCipherCloneFunc value_clone
    )

#### Description [src]

Sets a named property `name` value `value` for the given `cert_info`. If the `value` is `NULL`, then the property is removed. With a non-`NULL` `value` also `value_free` and `value_clone` functions cannot be `NULL`.

Available since: 3.22

#### Parameters

`cert_info`

  Type: `CamelCipherCertInfo`

  A `CamelCipherCertInfo`.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  A property name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gpointer`

  A property value, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`value_free`

  Type: `GDestroyNotify`

  A free function for the `value`.

  The argument can be `NULL`.

`value_clone`

  Type: `CamelCipherCloneFunc`

  A clone function for the `value`.

  The argument can be `NULL`.